#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	docbook2X
Version		:	0.8.8
Release		:	17.0.10.rel%{?dist}
Summary		:	Convert docbook into man and Texinfo
 
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	http://docbook2x.sourceforge.net/
			# https://github.com/lxc/lxc

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	make
BuildRequires	:	perl(XML::SAX::Base)
BuildRequires	:	perl(XML::SAX)

Requires	:	perl(Exporter)
Requires	:	perl(IO::File)
Requires	:	perl(Text::Wrap)
Requires	:	perl(vars)
Requires	:	perl(XML::SAX::ParserFactory)
 
#-----------------------------------------------------------------------------
%description
docbook2X converts DocBook documents into man pages and Texinfo
documents.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README THANKS AUTHORS
%{_bindir}/db2x_manxml
%{_bindir}/db2x_texixml
%{_bindir}/db2x_xsltproc
%{_bindir}/db2x_docbook2man
%{_bindir}/db2x_docbook2texi
%{_bindir}/sgml2xml-isoent
%{_bindir}/utf8trans
%{_defaultdocdir}/%{name}/*.html
%{_datadir}/docbook2X/VERSION
%{_datadir}/%{name}/charmaps/*.xml
%{_datadir}/%{name}/charmaps/*.charmap
%{_datadir}/%{name}/dtd/*-XML
%{_datadir}/%{name}/dtd/catalog.xml
%{_datadir}/%{name}/xslt/catalog.xml
%{_datadir}/%{name}/xslt/common/text/*.xml
%{_datadir}/%{name}/xslt/backend/*.xsl
%{_datadir}/%{name}/xslt/common/*.xsl
%{_datadir}/%{name}/xslt/man/*.xsl
%{_datadir}/%{name}/xslt/texi/*.xsl
%{_infodir}/%{name}*.info.gz
%{_infodir}/docbook2man-xslt.info.gz
%{_infodir}/docbook2texi-xslt.info.gz
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./configure							\
        --prefix=%{_prefix}					\
	--exec-prefix=%{_exec_prefix}				\
        --sysconfdir=%{_sysconfdir}/%{name}			\
        --sbindir=%{_sbindir}					\
	--datadir=%{_datadir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--infodir=%{_infodir}					\
	--sharedstatedir=%{_var}/lib				\
	--localstatedir=%{_localstatedir}			\
	--docdir=%{_defaultdocdir}/%{name}-%{version}		\
	--program-transform-name='s/docbook2/db2x_docbook2/'	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install

%{__rm} -fr							\
	%{buildroot}%{_infodir}/dir

#-----------------------------------------------------------------------------
%changelog
